Perfstat.perfstat_process_t (JNA API)
Description: declaration: package: com.sun.jna.platform.unix.aix, interface: Perfstat, class: perfstat_process_t

Package com.sun.jna.platform.unix.aix

# Class Perfstat.perfstat_process_t

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.unix.aix.Perfstat.perfstat_process_t

Enclosing interface:
  Perfstat

@FieldOrder({"version","pid","proc_name","proc_priority","num_threads","proc_uid","proc_classid","proc_size","proc_real_mem_data","proc_real_mem_text","proc_virt_mem_data","proc_virt_mem_text","shared_lib_data_size","heap_size","real_inuse","virt_inuse","pinned","pgsp_inuse","filepages","real_inuse_map","virt_inuse_map","pinned_inuse_map","ucpu_time","scpu_time","last_timebase","inBytes","outBytes","inOps","outOps"}) public static class Perfstat.perfstat_process_t extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `filepages`
  `long`
  `heap_size`
  `long`
  `inBytes`
  `long`
  `inOps`
  `long`
  `last_timebase`
  `long`
  `num_threads`
  `long`
  `outBytes`
  `long`
  `outOps`
  `long`
  `pgsp_inuse`
  `long`
  `pid`
  `long`
  `pinned`
  `long`
  `pinned_inuse_map`
  `long`
  `proc_classid`
  `byte[]`
  `proc_name`
  `int`
  `proc_priority`
  `long`
  `proc_real_mem_data`
  `long`
  `proc_real_mem_text`
  `long`
  `proc_size`
  `long`
  `proc_uid`
  `long`
  `proc_virt_mem_data`
  `long`
  `proc_virt_mem_text`
  `long`
  `real_inuse`
  `long`
  `real_inuse_map`
  `double`
  `scpu_time`
  `long`
  `shared_lib_data_size`
  `double`
  `ucpu_time`
  `long`
  `version`
  `long`
  `virt_inuse`
  `long`
  `virt_inuse_map`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `perfstat_process_t()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### version

    public long version

  - ### pid

    public long pid

  - ### proc_name

    public byte[] proc_name

  - ### proc_priority

    public int proc_priority

  - ### num_threads

    public long num_threads

  - ### proc_uid

    public long proc_uid

  - ### proc_classid

    public long proc_classid

  - ### proc_size

    public long proc_size

  - ### proc_real_mem_data

    public long proc_real_mem_data

  - ### proc_real_mem_text

    public long proc_real_mem_text

  - ### proc_virt_mem_data

    public long proc_virt_mem_data

  - ### proc_virt_mem_text

    public long proc_virt_mem_text

  - ### shared_lib_data_size

    public long shared_lib_data_size

  - ### heap_size

    public long heap_size

  - ### real_inuse

    public long real_inuse

  - ### virt_inuse

    public long virt_inuse

  - ### pinned

    public long pinned

  - ### pgsp_inuse

    public long pgsp_inuse

  - ### filepages

    public long filepages

  - ### real_inuse_map

    public long real_inuse_map

  - ### virt_inuse_map

    public long virt_inuse_map

  - ### pinned_inuse_map

    public long pinned_inuse_map

  - ### ucpu_time

    public double ucpu_time

  - ### scpu_time

    public double scpu_time

  - ### last_timebase

    public long last_timebase

  - ### inBytes

    public long inBytes

  - ### outBytes

    public long outBytes

  - ### inOps

    public long inOps

  - ### outOps

    public long outOps

- ## Constructor Details

  - ### perfstat_process_t

    public perfstat_process_t()